## org.apache.poi.hwpf.usermodel
Class DocumentPosition

    java.lang.Object
      org.apache.poi.hwpf.usermodel.Range
          org.apache.poi.hwpf.usermodel.DocumentPosition

    public final class DocumentPosition

extends Range

Field Summary

Fields inherited from class org.apache.poi.hwpf.usermodel.Range
`_characters, _charEnd, _charRangeFound, _charStart, _doc, _end, _paragraphs, _parEnd, _parRangeFound, _parStart, _sectionEnd, _sections, _sectionStart, _start, _text, TYPE_CHARACTER, TYPE_LISTENTRY, TYPE_PARAGRAPH, TYPE_SECTION, TYPE_TABLE, TYPE_TEXT, TYPE_UNDEFINED`

Constructor Summary
`DocumentPosition(HWPFDocument doc, int pos)`

Method Summary

Methods inherited from class org.apache.poi.hwpf.usermodel.Range

`adjustFIB, delete, getCharacterRun, getDocument, getEndOffset, getParagraph, getSection, getStartOffset, getTable, initAll, insertAfter, insertAfter, insertAfter, insertAfter, insertAfter, insertBefore, insertBefore, insertBefore, insertBefore, insertBefore, insertBefore, insertTableBefore, numCharacterRuns, numParagraphs, numSections, replaceText, replaceText, replaceText, reset, sanityCheck, stripFields, text, toString, type, usesUnicode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocumentPosition

    public DocumentPosition(HWPFDocument doc,
                            int pos)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.